.s-signBlock {
  margin-top: 190px;
  margin-bottom: 75px;
  position: relative;

  &::before {
    content: '';
    background-image: url("/_green/img/new/register-login_bg.png");
    background-repeat: no-repeat;
    width: 528px;
    height: 530px;
    position: absolute;
    bottom: -305px;
    left: -26px;
    z-index: -1;
  }

  .j-shortpage-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    font-size: 16px;
    font-weight: 300;
  }

  .title-big {
    font-size: 30px;
    font-weight: 500;
    line-height: 36px;

    position: relative;

    transform: scaleY(1.1);

    color: #323232;
    margin-bottom: 15px;

    &::before {
      position: absolute;
      z-index: -1;
      top: 50%;
      left: -55px;

      width: 98px;
      height: 86px;

      content: "";
      transform: translateY(-61%) scaleY(0.9);

      background-image: url("/_green/img/new/icon_bubble.png");
      background-repeat: no-repeat;
      background-position: -5px -96px;
    }
  }

  input {
    font-size: 14px;

    height: 55px;

    border: none;
    border-radius: 36px;
    outline: none;
    box-shadow: none;
    overflow: hidden;

    padding: 0 20px;

    text-overflow: ellipsis;

    background-color: #edf4f6;
  }

  label {
    font-size: 14px;
    font-weight: 500;
    position: relative;
    margin-top: -4px;

    .text-danger {
      position: absolute;
      color: #e71a1a;
      right: 19px;
      top: -1px;
    }
  }

  .s-signBlock-form {
    border: 1px solid rgba(0, 173, 93, 0.22);
    border-radius: 50px;
    width: 615px;
    margin: 36px auto 0;
    padding-top: 59px;
    padding-bottom: 61px;

    #j-u-login-form {
      margin-left: -116px;
    }

    .form-group {
      display: flex;
      justify-content: flex-end;
      align-items: center;
      margin-bottom: 22px;
      width: 530px;
      margin-left: auto;
      margin-right: auto;

      .col-md-8 {
        .row {
          display: flex;
          align-items: center;
        }
      }


      &--login {
        margin-top: 33px;
        display: flex;
        align-items: flex-start;
      }
    }

    .col-md-7 {
      width: 295px;
      padding: 0;
    }

    .col-md-5 {
      width: auto;
      padding-top: 0;
    }

    .checkbox {
      min-height: 0;
      padding-top: 0;

      label {
        position: relative;
        margin-top: 0;
        padding-left: 25px;
        font-size: 12px;
        font-weight: 400;
        line-height: 13px;

        &::before {
          position: absolute;
          content: '';
          left: 0;
          top: 0;
          height: 13px;
          width: 13px;
          background-repeat: no-repeat;
          background-image: url('img/new/checkbox.png');
          cursor: pointer;
        }
      }

      input {
        display: none;

        &:checked ~ label {
          &::before {
            background-image: url('img/new/checkbox-checked.png');
          }
        }
      }
    }

    .submit-area {
      display: flex;
      align-items: flex-start;
      flex-direction: column;
      padding-left: 150px;
      padding-right: 0;
      width: 68%;

      .btn {
        line-height: 47px;

        display: inline-block;

        height: 47px;
        padding: 0 41px;
        margin-top: 7px;

        text-transform: uppercase;

        color: #ffffff;
        border-radius: 0;
        background-color: #00b558;
        box-shadow: 0 18px 27px 0 rgba(0, 181, 88, 0.34);
        border: none;
      }
    }

    .s-social-buttons {
      margin-top: 30px;
      margin-left: 12px;
      width: 32%;
    }

    .s-social-buttons__title {
      font-size: 12px;
      padding-bottom: 0;
      margin-bottom: 2px;
    }

    .s-vk {
      display: block;
      font-size: 0;
      height: 58px;
      width: 148px;
      position: relative;
      left: -16px;
      top: -10px;
      background-repeat: no-repeat;
      background-image: url('img/new/vk-button.png');
      padding: 0;
    }

    &--register {
      margin-top: 54px;
      padding-top: 70px;
      padding-bottom: 54px;

      .userType {
        display: flex;
        align-items: flex-start;
        margin-bottom: 28px;
      }

      .userTypeItem {
        display: flex;
        flex-direction: column;
        padding-left: 0;

        .radio-inline {
          margin: 0 0 5px;
          padding: 0;

          label {
            position: relative;
            margin-top: 0;
            padding-left: 19px;
            font-size: 14px;
            font-weight: 400;
            line-height: 16px;
            color: #323232;

            sup {
              &,
              & a {
                top: 0;
                font-size: 12px;
                color: #06af61;
                transform: scaleY(1.1);
              }
            }

            &::before {
              position: absolute;
              content: '';
              left: 0;
              top: 0;
              height: 13px;
              width: 13px;
              border-radius: 50%;
              box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.19) inset;
              cursor: pointer;
            }

            &::after {
              position: absolute;
              content: '';
              display: none;
              left: 3px;
              top: 3px;
              height: 7px;
              width: 7px;
              border-radius: 50%;
              background-color: #06af61;
            }
          }

          input {
            display: none;

            &:checked ~ label {
              &::after {
                display: block;
              }
            }
          }
        }
      }

      .col-md-4 {
        margin-top: 0;
        padding-top: 0;
        padding-left: 0;
        padding-right: 10px;
      }

      .col-md-8 {
        padding-left: 0;

        & > input {
          width: calc(100% - 45px);
        }
      }

      .checkbox {
        margin-top: 4px;

        label {
          padding-right: 50px;

          line-height: 15px;

          &::before {
            top: 2px;
          }

          .text-danger {
            position: static;
            margin-left: -7px;
          }

          a {
            color: #06af61;
          }
        }
      }

      .submit-area {
        padding-left: 32px;
        margin-top: 31px;

        .col-md-offset-4 {
          margin: 0 auto;
        }

        .btn {
          padding: 0 30px;
        }
      }
    }
  }

  .s-signBlock-other {
    background-color: #f7f7f7;
    margin-left: 17%;
    width: 420px;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 7px 66px 4px 32px;

    h6 {
      font-size: 16px;
      line-height: 20px;
      font-weight: 400;
    }

    .btn {
      width: 188px;
      text-align: center;
      height: 42px;
      line-height: 42px;
      border: 1px solid #06af61;
      border-radius: 21px;
      box-shadow: 0 8px 9px 1px rgba(41, 41, 41, 0.18);
      text-transform: uppercase;
      font-size: 12px;
      background-color: transparent;
      padding: 0;
      margin-top: 8px;
    }
  }
}

@media screen and (max-width: 991px) {
  .s-signBlock {
    .s-signBlock-form {
      &--register {
        .col-md-8 {
          width: 66.66666667%;
        }
      }
    }
  }
}

@media screen and (max-width: 767px) {
  .s-signBlock {
    margin-top: 150px;
    margin-bottom: 79px;

    &::before {
      transform: scale(0.8);
      bottom: -277px;
      left: -247px;
    }

    .j-shortpage-title {
      font-size: 14px;
    }

    .title-big {
      font-size: 25px;
      line-height: 35px;
      margin-bottom: 4px;
      z-index: -1;

      &::before {
        transform: translateY(-57%) scale(0.8, 0.75);
      }
    }

    .s-signBlock-form {
      margin-top: 30px;
      padding-top: 57px;
      padding-bottom: 56px;
      width: auto;

      #j-u-login-form {
        margin-left: -36px;
      }

      .col-md-7 {
        width: 247px;
      }

      .form-group {
        margin: 0 auto 16px;
        width: 414px;
      }

      .submit-area {
        padding-left: 52px;
        margin-top: 7px;
      }

      .s-social-buttons {
        padding-left: 0;
        padding-right: 0;
        margin-left: 0;
        margin-right: 7px;
        margin-top: 36px;
      }

      &--register {
        margin-top: 45px;
        padding-top: 60px;
        padding-bottom: 36px;

        .col-md-8 {
          margin-right: 9px;
          padding-right: 0;
        }

        .col-md-4 {
          padding-right: 5px;
          margin-left: -8px;
        }

        .col-xs-7 {
          padding: 0;
          width: 53.333%;
        }

        .form-group {
          width: 430px;
        }

        .userType {
          margin-bottom: 24px;
        }

        .userTypeItem {
          .radio-inline {
            line-height: 16px;
            margin-bottom: 7px;

            label {
              font-size: 12px;
            }
          }
        }

        .checkbox {
          label {
            font-size: 11px;
            padding-right: 25px;
            padding-left: 22px;
            line-height: 14px;
          }
        }

        .submit-area {
          padding-left: 42px;
          margin-top: 22px;

          .btn {
            padding: 0 20px;
            height: 51px;
          }
        }
      }
    }

    input {
      font-size: 12px;

      height: 47px;

      border-radius: 24px;
      padding: 0 20px;
    }

    label {
      font-size: 12px;
      font-weight: 500;
      margin-top: 0;
      margin-bottom: 0;
    }

    .row {
      margin-left: 0;
      margin-right: 0;
    }

    .s-signBlock-other {
      margin-left: auto;
      margin-right: auto;
      width: 374px;
      padding-left: 11px;
      padding-right: 10px;

      .row {
        display: flex;
      }

      .col-sm-6 {
        padding-left: 0;
        padding-right: 0;
      }

      h6 {
        font-size: 14px;
        padding-right: 10px;
      }
    }
  }
}
